- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Rtapi::RTAPICallback Class Reference

`#include <RTAPICallback.h>`

Inheritance diagram for Mers::Executives::DeductiveController::Rtapi::RTAPICallback:

[legend]
List of all members.

## Public Member Functions
virtual void | post_mode_estimate (Mers::Utils::Containers::intList const &updated_mode_estimate)=0
virtual void | post_full_state (Mers::Utils::Containers::intList const &full_mode_estimate)=0
virtual void | post_observation (unsigned int varUID, unsigned int valUID)=0
virtual void | process_next_control_cmd (Mers::Utils::Containers::intList const &commands)=0

## Detailed Description

The RTAPI callback class is the default interface used by the RTAPI to post messages about events that have occured to the layer above the RTAPI. These messages indicate the current state estimate, the current observations, and the next command that should be issued.

Author:
  Seung H. Chung

Definition at line 42 of file RTAPICallback.h.

## Member Function Documentation

virtual void Mers::Executives::DeductiveController::Rtapi::RTAPICallback::post_mode_estimate | ( | Mers::Utils::Containers::intList const & | updated_mode_estimate | ) | `[pure virtual]`

The ME dispatcher will call this function with the results of the last state estimate. Those states that have changed will be posted, and possibly some that have not. The data takes the form (VariableUID_0, ValueUID_0, VariableUID_1, ValueUID_1, ...).

Parameters:

  | updated_mode_estimate | The set of modes that have new values. Contains pairs of UIDs, (VariableUID = ValueUID).

Implemented in Mers::Executives::DeductiveController::DCInterface, and Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub.

Referenced by Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

virtual void Mers::Executives::DeductiveController::Rtapi::RTAPICallback::post_full_state | ( | Mers::Utils::Containers::intList const & | full_mode_estimate | ) | `[pure virtual]`

The ME dispatcher will call this function with the results of the last state estimate. The estimate for every state is included. The data takes the form (VariableUID_0, ValueUID_0, VariableUID_1, ValueUID_1, ...).

Parameters:

  | full_mode_estimate | The set of modes that have new values. Contains pairs of UIDs, (VariableUID = ValueUID).

Implemented in Mers::Executives::DeductiveController::DCInterface, and Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub.

Referenced by Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

virtual void Mers::Executives::DeductiveController::Rtapi::RTAPICallback::post_observation | ( | unsigned int | varUID,
|  | unsigned int | valUID |
| ) |  |  | `[pure virtual]`

The ME dispatcher will call this function with any observations or commands received. They represent the best know state for each observable and commandable variable.

Parameters:

  | varUID | The variable UID of the variable being updated.
  | valUID | The value UID of the value of the variable being updated.

Implemented in Mers::Executives::DeductiveController::DCInterface, and Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub.

Referenced by Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

virtual void Mers::Executives::DeductiveController::Rtapi::RTAPICallback::process_next_control_cmd | ( | Mers::Utils::Containers::intList const & | commands | ) | `[pure virtual]`

The MR RTAPI will call this function with the next command that should be issued.

Parameters:

  | commands | The command that should be issued. This list takes one of four forms: {0}: Indicates that no command is necessary, the goal has already been reached. {1}: Indicates that no command can be issued, an observable event must occur first. {1, VarUID, ValUID}: Indicates that the command (VarUID = ValUID) should be issued next. {2}: Indicates that the request goal cannot be achieved.

Implemented in Mers::Executives::DeductiveController::DCInterface, and Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub.

Referenced by Mers::Executives::DeductiveController::Rtapi::MR::MR_dispatcher::parse_msg().

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Rtapi/RTAPICallback.h